- Qt 6.10
- Qt QML Compiler
- C++ Classes
- QtQmlCompiler (Technical Preview)
- LoggerWarningId
- Qt 6.10.2 Reference Documentation

# QQmlSA::LoggerWarningId Class

class QQmlSA::LoggerWarningId

A wrapper around a string literal to uniquely identify warning categories in the `QQmlSA` framework. More...

Header: | `#include <LoggerWarningId>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS QmlCompiler)` `target_link_libraries(mytarget PRIVATE Qt6::QmlCompiler)`
Status: | Technical Preview

- List of all members, including inherited members

## Public Functions

| LoggerWarningId(QAnyStringView name)
QAnyStringView | name() const

## Detailed Description

## Member Function Documentation

### `[constexpr]` LoggerWarningId::LoggerWarningId(QAnyStringView name)

Constructs a LoggerWarningId object with logging catergory name name.

### QAnyStringView LoggerWarningId::name() const

Returns the name of the wrapped warning category.